net.sourceforge.pmd

## Interface NumericPropertyDescriptor<T>

- Type Parameters:
    `T` -
  All Superinterfaces:
    Comparable<PropertyDescriptor<?>>, PropertyDescriptor<T>
  All Known Implementing Classes:
    AbstractMultiNumericProperty, AbstractNumericProperty, DoubleMultiProperty, DoubleProperty, FloatMultiProperty, FloatProperty, IntegerMultiProperty, IntegerProperty, LongMultiProperty, LongProperty

      public interface NumericPropertyDescriptor<T>
      extends PropertyDescriptor<T>

  Defines a descriptor type whose instance values are required lie within specified upper and lower limits.
  Author:
    Brian Remedios

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Number` | `lowerLimit()` Returns the minimum value that instances of the property can have
    `Number` | `upperLimit()` Returns the maximum value that instances of the property can have

    - ### Methods inherited from interface net.sourceforge.pmd.PropertyDescriptor

      `asDelimitedString, attributeValuesById, choices, defaultValue, description, errorFor, isMultiValue, isRequired, multiValueDelimiter, name, preferredRowCount, propertyErrorFor, type, uiOrder, valueFrom`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### upperLimit

          Number upperLimit()

      Returns the maximum value that instances of the property can have
      Returns:
        Number

    - #### lowerLimit

          Number lowerLimit()

      Returns the minimum value that instances of the property can have
      Returns:
        Number

Copyright © 2002-2013 InfoEther. All Rights Reserved.